// PLCSIM javascripts
//
//
/////////////////////////////////////////////////////////////////////////////////////////////

function GetLanguage(helpsystem_basename)
{
//
// Author:  Ann Freeman
// Date:    01/10/02
// Purpose: To return which language is being displayed
//
// Method:  This function parses the location of the HTML page being displayed and returns the
//          language extension letter.  
//
// Notes:   To make pagepath a string variable, document.location is enclosed in quotes. 
//
// Topics Used In:
//   Preface.htm
//


var pagepath= '"' + document.location + '"';            // location (full pathname) of file being displayed

var splitpath = pagepath.toLowerCase().split(helpsystem_basename);



var lang_ext_char = splitpath[1].charAt(0);

return(lang_ext_char);


}



//--------------------------------------> DisplayPDF


function DisplayPDF(helpsystem_basename)
{
// Author:  Ann Freeman
// Date:    06/05/02
// Purpose: Display the PDF of this online help system
//          
//
// Note:    Designed to work with a .chm help system, not WebHelp
//
// Topics Used In:
//   Preface  
//   
//

var lang_ext_char = GetLanguage(helpsystem_basename);

// Get pathname of the help system
var pagepath = '"' + document.location + '"';

// split off the "mk:@msitstore:" string that comes before the filename
var splitpath = pagepath.toLowerCase().split("mk:@msitstore:");

// break the pathname at the subfolder "siemens"
    splitpath = splitpath[1].toLowerCase().split("siemens");

// append the path to the .pdf's with the appropriate language extension letter
var PDF_Path = splitpath[0].replace('"','') + "Siemens/PLCSIM/S7MANUAL/S7WSI/" + helpsystem_basename + lang_ext_char + ".pdf";


   
window.open(PDF_Path,'PDF');

} // end function DisplayPDF



